Bug 206284 - Need to add a ShadowAction that installs rhn-virtualization-guest following a guest kickstart.
Need to add a ShadowAction that installs rhn-virtualization-guest following a...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Wregglesworth
Brandon Perkins
:
Depends On: 210721 216580
Blocks: 189917
  Show dependency treegraph
 
Reported: 2006-09-13 10:24 EDT by John Wregglesworth
Modified: 2007-04-18 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHN490
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-19 16:29:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Wregglesworth 2006-09-13 10:24:15 EDT
Description of problem: rhn-virtualization-guest is required to be installed on
Virt Guests that are going to be managed by RHN. We need to implement a
ShadowAction that will schedule the install of this package on the guest
following a kickstart. This will make it so the user doesn't have to install the
package manually.
Comment 1 John Wregglesworth 2006-10-02 15:08:45 EDT
Fixed in SVN.

Test Plan:

1. Make sure that you have a virtualization host machine registered to a RHN 500
beta satellite and that it has enough disk space left to create another guest
(you'll need at least 2GBs).

2. Through the webui, create a new guest on the virtualization host with a
kickstart profile that has a virt type of Paravirtualized Guest.

3. Once the installation of the guest is complete, make sure that the
rhn-virtualization-guest and rhn-virtualization-common packages are installed on it.
Comment 2 John Wregglesworth 2006-10-05 11:29:39 EDT
Moving to ON_QA.
Comment 3 Brandon Perkins 2006-10-19 13:45:10 EDT
Blocked by Bugzilla Bug 210721: Need to create Red Hat Network Tools for RHEL 5
channel.
Comment 4 Brandon Perkins 2006-11-16 20:39:43 EST
Fails QA:

# rpm -q rhn-virtualization-guest rhn-virtualization-common
package rhn-virtualization-guest is not installed
package rhn-virtualization-common is not installed

with rhn-satellite-4.9.0-6-redhat-linux-as-i386-4-embedded-oracle and:

rhn-virtualization-common-1.0.1-33
rhn-virtualization-host-1.0.1-33
rhn-kickstart-virtualization-2.0.6-1.el5

on the host.  This results in the guest not registering as a guest of the host
even though it is registered to RHN.
Comment 7 Brandon Perkins 2006-11-21 01:40:43 EST
Blocked by Bugzilla Bug 216580: Can't provision guest.
Comment 8 Brandon Perkins 2006-11-27 22:49:51 EST
Verified.
Comment 9 Brandon Perkins 2006-12-19 16:29:29 EST
Closed for RHN 500 Beta.

Note You need to log in before you can comment on or make changes to this bug.